com.impinj.octane

## Class ImpinjTimestamp

- java.lang.Object
- - com.impinj.octane.ImpinjTimestamp

-     public class ImpinjTimestamp
      extends java.lang.Object

  Timestamp class supporting Impinj Reader and LLRP timestamp data. Timestamps from the reader are microseconds since the Epoch (00:00:00 UTC, January 1, 1970) (16 digit numbers)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImpinjTimestamp()` Default constructor.
    `ImpinjTimestamp(java.util.Date date)` Constructor that translates standard DateTime data into ImpinjTimeStamp format.
    `ImpinjTimestamp(long utcTimestamp)` Constructor that takes unsigned long (Impinj reader) timestamp data.
    `ImpinjTimestamp(org.llrp.ltk.generated.interfaces.Timestamp timestampFromLlrp)` Constructor that takes LLRP timestamp data.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getLocalDateTime()` Utility that outputs the ImpinjTimestamp data in local time format.
    `protected long` | `getUtcTimestamp()`
    `java.lang.String` | `ToString()` Conversion utility that outputs the ImpinjTimestamp data as a string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImpinjTimestamp

          public ImpinjTimestamp()

      Default constructor.

    - #### ImpinjTimestamp

          public ImpinjTimestamp(java.util.Date date)

      Constructor that translates standard DateTime data into ImpinjTimeStamp format.
      Parameters:
        `date` - A standard java.util.Date timestamp.

    - #### ImpinjTimestamp

          public ImpinjTimestamp(long utcTimestamp)

      Constructor that takes unsigned long (Impinj reader) timestamp data.
      Parameters:
        `utcTimestamp` - Unsigned long format timestamp; microseconds since the Epoch (00:00:00 UTC, January 1, 1970) (16 digit number).

    - #### ImpinjTimestamp

          public ImpinjTimestamp(org.llrp.ltk.generated.interfaces.Timestamp timestampFromLlrp)

      Constructor that takes LLRP timestamp data.
      Parameters:
        `timestampFromLlrp` - the LLRP timestamp

  - ### Method Detail

    - #### getLocalDateTime

          public java.util.Date getLocalDateTime()

      Utility that outputs the ImpinjTimestamp data in local time format.
      Returns:
        the local date and time format of the timestamp

    - #### ToString

          public java.lang.String ToString()

      Conversion utility that outputs the ImpinjTimestamp data as a string.
      Returns:
        returns a string representation of the ImpinjTimestamp

    - #### getUtcTimestamp

          protected long getUtcTimestamp()

      Returns:
        The number of microseconds since the Epoch (00:00:00 UTC, January 1, 1970)